test-lightify.c File Reference
`#include <check.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <liblightify/liblightify.h>`
`#include <assert.h>`
Include dependency graph for test-lightify.c:

Go to the source code of this file.

## Data Structures

struct | fake_socket

## Functions

void | print_protocol_mismatch_write (struct fake_socket *mfs, const unsigned char *should)
void | print_protocol_mismatch_read (struct fake_socket *mfs, const unsigned char *should)
void | setup (void)
void | teardown (void)
| START_TEST (lightify_context_base_NULL_checks)
END_TEST | START_TEST (lightify_context_object)
END_TEST Suite * | liblightify_testfixture (void)
| START_TEST (lightify_context_userdata)
END_TEST | START_TEST (lightify_context_skt)
END_TEST Suite * | liblightify_API_suite (void)
int | my_write_to_socket (struct lightify_ctx *ctx, unsigned char *msg, size_t size)
int | my_read_from_socket (struct lightify_ctx *ctx, unsigned char *msg, size_t size)
| START_TEST (lightify_tst_scan_nodes)
END_TEST Suite * | liblightify_functional_nodes (void)
| START_TEST (lightify_tst_manipulate_nodes)
END_TEST Suite * | liblightify_functional_manipulate_node (void)
| START_TEST (lightify_tst_groups_basic)
END_TEST Suite * | liblightify_tst_groups_basic (void)
int | main (void)

## Variables

struct lightify_ctx * | _ctx
struct fake_socket | my_fakesocket

## Function Documentation

END_TEST Suite* liblightify_API_suite | ( | void |  | ) |

Definition at line 343 of file test-lightify.c.

END_TEST Suite* liblightify_functional_manipulate_node | ( | void |  | ) |

Definition at line 703 of file test-lightify.c.

END_TEST Suite* liblightify_functional_nodes | ( | void |  | ) |

Definition at line 513 of file test-lightify.c.

END_TEST Suite* liblightify_testfixture | ( | void |  | ) |

Definition at line 305 of file test-lightify.c.

END_TEST Suite* liblightify_tst_groups_basic | ( | void |  | ) |

Definition at line 777 of file test-lightify.c.

int main | ( | void |  | ) |

Definition at line 793 of file test-lightify.c.

int my_read_from_socket | ( | struct lightify_ctx * | ctx,
|  | unsigned char * | msg,
|  | size_t | size
| ) |  |

Definition at line 387 of file test-lightify.c.

int my_write_to_socket | ( | struct lightify_ctx * | ctx,
|  | unsigned char * | msg,
|  | size_t | size
| ) |  |

Definition at line 365 of file test-lightify.c.

void print_protocol_mismatch_read | ( | struct fake_socket * | mfs,
|  | const unsigned char * | should
| ) |  |

Definition at line 68 of file test-lightify.c.

void print_protocol_mismatch_write | ( | struct fake_socket * | mfs,
|  | const unsigned char * | should
| ) |  |

Definition at line 52 of file test-lightify.c.

void setup | ( | void |  | ) |

Definition at line 230 of file test-lightify.c.

START_TEST | ( | lightify_context_base_NULL_checks |  | ) |

Definition at line 256 of file test-lightify.c.

END_TEST START_TEST | ( | lightify_context_object |  | ) |

Definition at line 291 of file test-lightify.c.

START_TEST | ( | lightify_context_userdata |  | ) |

Definition at line 316 of file test-lightify.c.

END_TEST START_TEST | ( | lightify_context_skt |  | ) |

Definition at line 328 of file test-lightify.c.

START_TEST | ( | lightify_tst_scan_nodes |  | ) |

Definition at line 411 of file test-lightify.c.

START_TEST | ( | lightify_tst_manipulate_nodes |  | ) |

Definition at line 528 of file test-lightify.c.

START_TEST | ( | lightify_tst_groups_basic |  | ) |

Definition at line 718 of file test-lightify.c.

void teardown | ( | void |  | ) |

Definition at line 235 of file test-lightify.c.

## Variable Documentation

struct lightify_ctx* _ctx

Definition at line 40 of file test-lightify.c.

struct fake_socket my_fakesocket